Skip to content
VirtlixCP

Documentation / API

Sub Clients

List Sub Clients

GET /client/{client_id}/sub

List all Sub Clients of {client_id}

Response 200: A list of Sub Clients

Field Type Description
child object
child.created_at object
child.email string
child.first string
child.id integer VirtlixCP-specific unique identifier used for URLs, etc.
child.integration object
child.last string
child.name string
child.serversCount integer
id integer The Unique ID that represents the relationship between the Client and Sub Client.

Delete Sub Client

DELETE /client/{client_id}/sub/{sub_id}

Delete a sub client

Response 200: One Sub Client deleted

Response 404: Item not Found

View Sub Client

GET /client/{client_id}/sub/{sub_id}

View a specific sub client

Response 200: A Sub Client

Field Type Description
child object
child.created_at object
child.email string
child.first string
child.id integer VirtlixCP-specific unique identifier used for URLs, etc.
child.integration object
child.last string
child.name string
child.serversCount integer
id integer The Unique ID that represents the relationship between the Client and Sub Client.